\name{EMmix}
\alias{EMmix}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Trait-Relevant Tissue Classification with EM
}
\description{
An expectation maximization (EM) algorithm classifies tissues into two groups in terms of their trait-relevance.
}
\usage{
EMmix(Zsq, df.zsq, beta.mean = 0.1, iter.max = 100, iter.limit = 0.001, NCP.diff.limit = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
\item{Zsq}{A vector of Wald statistics from different tissues for one trait}
\item{df.zsq}{Degree of freedom of Wald statistics, equalling to the number of annotations in each tissue to infer the trait relevant tissue.}
\item{beta.mean}{Degree of freedom of Wald statistics, equalling to the number of annotations in each tissue to infer the trait relevant tissue.}
\item{iter.max}{Maximum number of interations for the EM algorithm.}
\item{iter.limit}{The interations for the EM algorithm will stop when absolute difference between two consecutive values for the likelihood is smaller than iter.limit.
}
\item{NCP.diff.limit}{The minimum difference between the NCP2 and NCP1}
}
\details{
These Wald statistics across tissues using a mixture of two non-central chi-squared distributions
	h_t  ~ πχ_((k,λ_1 ))^2+(1-π) χ_((k,λ_0 ))^2,
where, with proportion π, h_t follows a chi-squared distribution with a large variance λ_1, while with proportion 1-π, h_t follows a chi-squared distribution with a small variance λ_0. Both chi-squared distributions share the same degrees of freedom k that equals to the number of annotations used in the Wald statistics (i.e. c). However, the two distribution have different noncentrality parameters λ_1 and λ_0 with λ_1>λ_0. The chi-squared distribution with the small noncentrality parameter represents the empirical null distribution that contains tissues irrelevant to the trait. The small, nonzero, noncentrality parameter characterizes the fact that these irrelevant tissues tend to have Wald statistics larger than what would be expected under the theoretical null distribution (i.e. central chi-squared) simply due to annotation correlation across tissues. In contrast, the chi-squared distribution with the large non-central parameter represents the alternative model that contains tissues relevant to the trait. The large noncentrality parameter characterizes the fact that these relevant tissues tend to have Wald statistics larger than those from the irrelevant tissues. To complete the model specification, we specify a beta prior for π, where we set the first shape parameter b_1 to be the number of tissues and the second shape parameter b_2 to be nine times the first so that the prior expectation of π is 0.1 with the belief that only a fraction of tissues are related to the given trait.
}
\value{
\item{Par.est}{Paramete estimates for π, λ_1 and λ_0.}
\item{PP}{Tnferred posterior probability (PP) of wald statistic being in the alternative model as its evidence for trait-relevance.}
\item{Loglik}{log-likelihood.}
\item{Iter.num}{Number of iterations}
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~
\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{
## see examples for SMART.
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }% use one of  RShowDoc("KEYWORDS")
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
